import { request } from "../../../utils";

/**
 * linkly支付接口
 */
export var linklyPayApi = function linklyPayApi(data) {
  return request.getRequest().post('/shop/linkly/pay/apply', data, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * 查询linkly支付结果
 */
export var linklyPayQueryApi = function linklyPayQueryApi(param) {
  return request.getRequest().get('/shop/linkly/pay/query', param, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * 取消linkly支付
 */
export var linklyPayCancelApi = function linklyPayCancelApi(param) {
  return request.getRequest().post('/shop/linkly/pay/cancel', param, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * linkly支付签名结果处理
 */
export var linklyPaySignatureApi = function linklyPaySignatureApi(param) {
  return request.getRequest().post('/shop/linkly/pay/signature', param, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * linkly退款接口
 */
export var linklyRefundApi = function linklyRefundApi(data) {
  return request.getRequest().post('/shop/linkly/refund/apply', data, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * 查询linkly退款结果
 */
export var linklyRefundQueryApi = function linklyRefundQueryApi(param) {
  return request.getRequest().get('/shop/linkly/refund/query', param, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * 取消linkly退款
 */
export var linklyRefundCancelApi = function linklyRefundCancelApi(param) {
  return request.getRequest().post('/shop/linkly/refund/cancel', param, {
    customMessage: true,
    fullResult: true
  });
};

/**
 * linkly退款签名结果处理
 */
export var linklyRefundSignatureApi = function linklyRefundSignatureApi(param) {
  return request.getRequest().post('/shop/linkly/refund/signature', param, {
    customMessage: true,
    fullResult: true
  });
};